bintray 在android3.2上传遇到的问题

1.报错信息如下:

Gradle DSL method not found: ‘google()’
Possible causes: The project ‘JustTest’ may be using a version of the Android Gradle plug-in that does not contain the method (e.g. ‘testCompile’ was added in 1.1.0).
Upgrade plugin to version 3.1.2 and sync project The project ‘Test’ may be using a version of Gradle that does not contain the method.
Open Gradle wrapper file The build file may be missing a Gradle plugin.
Apply Gradle plugin 

错误原因分析:没找到google(),The google() repo is a shortcut to looks in Google’s Maven repository for dependencies. It was introduced with gradle v.4.0。(使用条件)It requires (currently)Gradle v.4、Android Studio 3.x.、Gradle plugin for Android 3.x

解决问题办法:将google()替换成maven {url ‘https://maven.google.com’}

2.报错信息如下:

No such property: FOR_RUNTIME for class: org.gradle.api.attributes.Usage

错误分析:因为gradle的版本是升级了,简单做法就是Gradle降级。

这里分享一下我的做法:

    1).将gradle-wrapper.properties 中的 url改为:

distributionUrl=https\://services.gradle.org/distributions/gradle-4.1-all.zip

     2).将项目中的build.gradle改为

classpath 'com.android.tools.build:gradle:3.0.0'